Bug 1028866 - The test plan could not be saved in the passthrough-supplemental cert [NEEDINFO]
The test plan could not be saved in the passthrough-supplemental cert
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog (Show other bugs)
5.2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: hwcert-catalog
:
Depends On:
Blocks: 1032345
  Show dependency treegraph
 
Reported: 2013-11-11 00:41 EST by jinhua li
Modified: 2013-11-26 19:28 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 19:28:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jinhli: needinfo? (rlandry)


Attachments (Terms of Use)

  None (edit)
Description jinhua li 2013-11-11 00:41:15 EST
Description of problem:
  
   The test plan could not be saved in the passthrough-supplemental cert.
   And also there is no "frozen"button on this page.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Create a Hardware Specification passthrough cert from original Hardware Specification cert
2.Add some components to the "Hardware Specification", and save.
3.Then create a Hardware Certification passthrough-supplimental cert from original Hardware certification cert.
4.Create the test plan for Hardware Certification cert

Actual results:


Expected results:


Additional info:
Comment 1 Rob Landry 2013-11-13 02:20:32 EST
Does this happen both on show.cgi and process.cgi?
Comment 2 jinhua li 2013-11-17 21:01:24 EST
Yes, it happened both on show.cgi and process.cgi?
Comment 3 Huan Zhang 2013-11-21 02:57:29 EST
How to reproduce:
Create original spec/cert and close them:
1) login with reviewer user
2) create a specification with a cert (select create both)
3) add hardware components to the specification (from specifications tab)
4) go to the certification page and create test plans (you can find the cert link from advance tab)
5) change this specification status of this cert as "Production" (from summary tab)
6) close this cert from public tab

Create pass-through spec
1) go to the original specification page
2) go to create new pass-through page by clicking pass-through tab
3) input VMM info and click "create ..." to save
4) go to the pass-through specification and add supplemental hardware components and save changes

Create pass-through cert
1) go to the original certification page (refresh this page, if you already open it)
2) go to advanced tab
3) Create new Pass-Through Certification by selecting a pass through hw cert

Create testplan in the pass-through cert
1) go to the public tab and change the Certification Classification as **Pass-Through Supplemental** and save
2) go to the review tab
3) create test plans to check if this bug happens
Comment 4 Huan Zhang 2013-11-21 03:10:58 EST
please note:
when closing the original certification, you will want to chose "Close Certification, as CERTIFIED" from the publish tab and save changes
Comment 5 Huan Zhang 2013-11-21 03:11:18 EST
test passed on web2
Comment 7 Wei Shen 2013-11-26 01:41:32 EST
verified on partner
Comment 8 Tony Fu 2013-11-26 19:28:41 EST
verified on live.

Note You need to log in before you can comment on or make changes to this bug.